<table mat-table [dataSource]="users">
  <ng-container matColumnDef="id">
    <th mat-header-cell *matHeaderCellDef> Id </th>
    <td mat-cell *matCellDef="let user"> {{user.id}} </td>
  </ng-container>
  <ng-container matColumnDef="userName">
    <th mat-header-cell *matHeaderCellDef> User Name </th>
    <td mat-cell *matCellDef="let user"> {{user.username}} </td>
  </ng-container>
  <ng-container matColumnDef="name">
    <th mat-header-cell *matHeaderCellDef> Name </th>
    <td mat-cell *matCellDef="let user"> {{user.name}} </td>
  </ng-container>
  <ng-container matColumnDef="email">
    <th mat-header-cell *matHeaderCellDef> Email </th>
    <td mat-cell *matCellDef="let user"> {{user.email}} </td>
  </ng-container>
  <ng-container matColumnDef="phone">
    <th mat-header-cell *matHeaderCellDef> Phone </th>
    <td mat-cell *matCellDef="let user"> {{user.phone}} </td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
  <tr [class.selected]="selected === user" mat-row *matRowDef="let user; columns: columnsToDisplay" (click)="selectUser(user)"></tr>
</table>
